swarm:
  security:
    security-domains:
      other:
        classic-authentication:
          login-modules:
            kieLoginModule:
              code: org.kie.security.jaas.KieLoginModule
              flag: optional
              #this value will have to be changed to deployment.business-central-webapp.war in future versions
              module: deployment.kie-wb-webapp.war
  management:
    security-realms:
      ApplicationRealm:
        local-authentication:
          default-user: local
          allowed-users: local
          skip-group-loading: true
        properties-authentication:
          path: config/application-users.properties
          plain-text: true
        properties-authorization:
          path: config/application-roles.properties
datasource:
  management:
    wildfly:
      admin: admin

# this configuration is required to make the users system work well.
org:
  uberfire:
    ext:
      security:
        management:
          wildfly:
            cli:
              user: admin
